# React Hyper Fetch

[![BetterTyped](https://img.shields.io/static/v1?label=Created%20by&message=BetterTyped&color=blue&logo=BT)](https://github.com/BetterTyped)
[![Downloads](https://img.shields.io/npm/dm/@better-typed/react-hyper-fetch)](https://www.npmjs.com/package/@better-typed/react-hyper-fetch)
[![NPM](https://img.shields.io/npm/v/@better-typed/react-hyper-fetch.svg)](https://www.npmjs.com/package/@better-typed/react-hyper-fetch)
[![Size](https://shields.api-test.nl/bundlephobia/min/@better-typed/react-hyper-fetch)](https://www.npmjs.com/package/@better-typed/react-hyper-fetch)
[![License](https://badgen.net/github/license/BetterTyped/hyper-fetch)](https://github.com/BetterTyped/hyper-fetch/blob/main/License.md)
[![Stars](https://badgen.net/github/stars/BetterTyped/hyper-fetch?color=green&icon=github)](https://github.com/BetterTyped/react-hyper-fetch)
[![REST](https://img.shields.io/badge/-REST-informational?logo=telegram)](https://github.com/BetterTyped/hyper-fetch)
[![GraphQL](https://img.shields.io/badge/-GraphQL-E10098?logo=graphql&logoColor=white)](https://github.com/BetterTyped/hyper-fetch)
[![TypeScript](https://img.shields.io/badge/typescript-%23007ACC.svg?logo=typescript&logoColor=white)](https://github.com/BetterTyped/hyper-fetch)

## About

**`React Hyper Fetch`** is a set of hooks for Hyper Fetch. Combined with React's lifecycle it allow to `create modern`,
`optimized`, `maintainable` and `high quality solutions`. We offer many hooks for your use, thanks to which you can
fetch or mutate data, observe sent requests and interact with data in the cache.

## Features

🔮 **Simple setup** - [Read more](https://hyperfetch.bettertyped.com/guides/Basic/Setup)

🎯 **Request cancelation** - [Read more](https://hyperfetch.bettertyped.com/guides/Advanced/Cancelation)

✨ **Window Focus/Blur Events** - [Read more](https://hyperfetch.bettertyped.com/guides/React/Window%20Focus%20&%20Blur)

🚀 **Queueing** - [Read more](https://hyperfetch.bettertyped.com/guides/Advanced/Queueing)

💎 **Automatic caching** - [Read more](https://hyperfetch.bettertyped.com/docs/Architecture/Cache)

🪄 **Persistance** - [Read more](https://hyperfetch.bettertyped.com/guides/Advanced/Persistence)

🎊 **SSR Support** - [Read more](https://hyperfetch.bettertyped.com/docs/Getting%20Started/Environment)

🔋 **Offline First** - [Read more](https://hyperfetch.bettertyped.com/guides/Advanced/Offline)

📡 **Built-in client** - [Read more](https://hyperfetch.bettertyped.com/docs/Architecture/Client)

🧪 **Easy to test** - [Read more](https://hyperfetch.bettertyped.com/docs/Getting%20Started/Testing)

🎟 **Authentication** - [Read more](https://hyperfetch.bettertyped.com/guides/Basic/Authentication)

💡 **Prefetching** - [Read more](https://hyperfetch.bettertyped.com/guides/Advanced/Prefetching)

## Sources

- #### [Installation](https://hyperfetch.bettertyped.com/docs/Getting%20Started/Installation)
- #### [Docs](https://hyperfetch.bettertyped.com/docs/React/Overview)
- #### [API](https://hyperfetch.bettertyped.com/api/)
- #### [NPM](https://www.npmjs.com/package/@better-typed/hyper-fetch)
- #### [Guides](https://hyperfetch.bettertyped.com/guides/Basic/Dispatching)

## Other Packages

- #### [Hyper Fetch](https://github.com/BetterTyped/hyper-fetch/tree/main/packages/core)
