import { CacheValueType, NullableType, CommandInstance, ClientResponseType, ExtractResponse, ExtractError, ExtractClientReturnType, Dispatcher } from "@better-typed/hyper-fetch";
import { UseTrackedStateType } from "./..";
export declare const getDetailsState: (state?: UseTrackedStateType<CommandInstance>, details?: Partial<CacheValueType<unknown, unknown>["details"]>) => CacheValueType<unknown, unknown>["details"];
export declare const isStaleCacheData: (cacheTime: number, cacheTimestamp: NullableType<Date | number>) => boolean;
export declare const getValidCacheData: <T extends CommandInstance>(command: T, initialData: ExtractClientReturnType<T>, cacheData: CacheValueType<ExtractResponse<T>, ExtractError<T>>) => CacheValueType<ExtractResponse<T>, ExtractError<T>>;
export declare const getTimestamp: (timestamp?: NullableType<number | Date>) => Date;
export declare const getInitialState: <T extends CommandInstance>(initialData: ClientResponseType<ExtractResponse<T>, ExtractError<T>>, dispatcher: Dispatcher, command: T) => UseTrackedStateType<T>;
